# msg_stat_queue

(PHP 4 >= 4.3.0, PHP 5, PHP 7)

msg_stat_queue — Returns information from the message queue data structure

### Description

msg_stat_queue ( resource `$queue` ) : array

msg_stat_queue() returns the message queue meta data for the message queue specified by the `queue`. This is useful, for example, to determine which process sent the message that was just received.

### Parameters

`queue`

  Message queue resource handle

### Return Values

The return value is an array whose keys and values have the following meanings:

Array structure for msg_stat_queue
msg_perm.uid | The uid of the owner of the queue.
msg_perm.gid | The gid of the owner of the queue.
msg_perm.mode | The file access mode of the queue.
msg_stime | The time that the last message was sent to the queue.
msg_rtime | The time that the last message was received from the queue.
msg_ctime | The time that the queue was last changed.
msg_qnum | The number of messages waiting to be read from the queue.
msg_qbytes | The maximum number of bytes allowed in one message queue. On Linux, this value may be read and modified via /proc/sys/kernel/msgmnb.
msg_lspid | The pid of the process that sent the last message to the queue.
msg_lrpid | The pid of the process that received the last message from the queue.

### See Also

- msg_remove_queue() - Destroy a message queue
- msg_receive() - Receive a message from a message queue
- msg_get_queue() - Create or attach to a message queue
- msg_set_queue() - Set information in the message queue data structure